package org.example;

import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

import static jakarta.servlet.http.HttpServletResponse.SC_OK;

@WebServlet("/counter")
public class CounterServlet extends HttpServlet {

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException {
		HttpSession session = request.getSession();
		Integer counter = (Integer) session.getAttribute("counter");
		if (counter == null) counter = 0;
		response.setStatus(SC_OK);
		response.setContentType("text/html");
		try (PrintWriter out = response.getWriter()) {
			out.println("<!DOCTYPE html>");
			out.println("<html>");
			out.println("<head>");
			out.println("    <meta charset='utf-8'>");
			out.println("    <title>Counter Servlet</title>");
			out.println("    <link rel='stylesheet' href='styles.css'>");
			out.println("</head>");
			out.println("<body>");
			out.println("    <h1>Counter Servlet</h1>");
			out.println("    <form action='counter' method='post'>");
			out.println("        Counter: " + counter + " <br><br>");
			out.println("        <input type='submit' value='Increment'>");
			out.println("    </form>");
			out.println("</body>");
			out.println("</html>");
		}
	}

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException {
		HttpSession session = request.getSession();
		Integer counter = (Integer) session.getAttribute("counter");
		if (counter == null) counter = 0;
		counter = counter + 1;
		session.setAttribute("counter", counter);
		doGet(request, response);
	}
}
